Subject: bug#75336: closed (Re: bug#75336: [PATCH] Allow pcomplete of git add to include untracked files.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Jan 2025 13:00:03 +0000

Your bug report

#75336: [PATCH] Allow pcomplete of git add to include untracked files.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75336: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75336: [PATCH] Allow pcomplete of git add to include untracked files.
From: Eli Zaretskii <[email-masked]>
To: Peter Seibel <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 19 Jan 2025 14:58:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Peter Seibel <[email-masked]>
> Date: Sat, 18 Jan 2025 08:01:25 -0800
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Okay, here's a single patch. Cheers!

Thanks, installed on the master branch, and closing the bug.

Subject: [PATCH] Allow pcomplete of git add to include untracked files.
From: Peter Seibel <[email-masked]>
To: [email-masked]
Date: Fri, 3 Jan 2025 16:00:27 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I was going a bit crazy trying to figure out why tab completion in *shell*
wasn't working for git add when I was trying to add a new file to my repo.
Turns out pcomplete was only completing modified tracked files.This patch
changes it so after git add it also completes untracked non-ignored files.

I believe I long ago signed a Copyright assignment to the Emacs project but
I'm happy to do it again if that's still required. Cheers!

-- 
Peter Seibel
http://www.gigamonkeys.com/